curl --request POST \
--url https://api.hubapi.com/media-bridge/2026-03/objects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mediaType": "VIDEO",
"title": "<string>",
"duration": 123,
"fileUrl": "<string>",
"detailsPageLink": "<string>",
"thumbnailUrl": "<string>",
"posterUrl": "<string>",
"externalId": "<string>",
"oembedUrl": "<string>",
"bearerToken": "<string>",
"transcriptUrl": "<string>"
}
'{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"mediaType": "AUDIO",
"title": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"detailsPageLink": "<string>",
"duration": 123,
"externalId": "<string>",
"fileUrl": "<string>",
"oembedUrl": "<string>",
"posterUrl": "<string>",
"thumbnailUrl": "<string>",
"video": {
"deeplinkUrl": "<string>",
"fileId": 123,
"id": 123
}
}curl --request POST \
--url https://api.hubapi.com/media-bridge/2026-03/objects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mediaType": "VIDEO",
"title": "<string>",
"duration": 123,
"fileUrl": "<string>",
"detailsPageLink": "<string>",
"thumbnailUrl": "<string>",
"posterUrl": "<string>",
"externalId": "<string>",
"oembedUrl": "<string>",
"bearerToken": "<string>",
"transcriptUrl": "<string>"
}
'{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"mediaType": "AUDIO",
"title": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"detailsPageLink": "<string>",
"duration": 123,
"externalId": "<string>",
"fileUrl": "<string>",
"oembedUrl": "<string>",
"posterUrl": "<string>",
"thumbnailUrl": "<string>",
"video": {
"deeplinkUrl": "<string>",
"fileId": 123,
"id": 123
}
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
successful operation
AUDIO, DOCUMENT, IMAGE, OTHER, VIDEO Show child attributes